__all__ = [
    'TaskSpec',
]
import toloka.client.primitives.base
import toloka.client.project.field_spec
import toloka.client.project.view_spec
import typing


class TaskSpec(toloka.client.primitives.base.BaseTolokaObject):
    """Task interface description and input and output data specifications.

    Input and output data specifications are dictionaries.
    Field IDs are keys and field specifications are values.

    Attributes:
        input_spec: Input data specification.
        output_spec: Output data specification.
        view_spec: The description of the task interface.
    """

    def __init__(
        self,
        *,
        input_spec: typing.Optional[typing.Dict[str, toloka.client.project.field_spec.FieldSpec]] = None,
        output_spec: typing.Optional[typing.Dict[str, toloka.client.project.field_spec.FieldSpec]] = None,
        view_spec: typing.Optional[toloka.client.project.view_spec.ViewSpec] = None
    ) -> None:
        """Method generated by attrs for class TaskSpec.
        """
        ...

    _unexpected: typing.Optional[typing.Dict[str, typing.Any]]
    input_spec: typing.Optional[typing.Dict[str, toloka.client.project.field_spec.FieldSpec]]
    output_spec: typing.Optional[typing.Dict[str, toloka.client.project.field_spec.FieldSpec]]
    view_spec: typing.Optional[toloka.client.project.view_spec.ViewSpec]
