__all__ = [
    'Requester',
]
import decimal
import toloka.client.primitives.base
import typing


class Requester(toloka.client.primitives.base.BaseTolokaObject):
    """Information about a requester.

    Attributes:
        id: The requester's ID.
        balance: Account balance in dollars.
        public_name: The requester's name in Toloka.
        company: Information about a requester's company.
    """

    class Company(toloka.client.primitives.base.BaseTolokaObject):
        """Information about a requester's company.

        Attributes:
            id: The ID of the company.
            superintendent_id: The ID of the client who owns the company account.
        """

        def __init__(
            self,
            *,
            id: typing.Optional[str] = None,
            superintendent_id: typing.Optional[str] = None
        ) -> None:
            """Method generated by attrs for class Requester.Company.
            """
            ...

        _unexpected: typing.Optional[typing.Dict[str, typing.Any]]
        id: typing.Optional[str]
        superintendent_id: typing.Optional[str]

    def __init__(
        self,
        *,
        id: typing.Optional[str] = None,
        balance: typing.Optional[decimal.Decimal] = None,
        public_name: typing.Optional[typing.Dict[str, str]] = None,
        company: typing.Optional[Company] = None
    ) -> None:
        """Method generated by attrs for class Requester.
        """
        ...

    _unexpected: typing.Optional[typing.Dict[str, typing.Any]]
    id: typing.Optional[str]
    balance: typing.Optional[decimal.Decimal]
    public_name: typing.Optional[typing.Dict[str, str]]
    company: typing.Optional[Company]
